PHP Manual
Prev |  | Next

# XSLTProcessor::transformToURI

(no version information, might be only in CVS)

XSLTProcessor::transformToURI -- Transform to URI

## Description

class XSLTProcessor {
int transformToURI ( DOMDocument doc, string uri )
}

Transforms the source node to an URI applying the stylesheet given by the XSLTProcessor::importStylesheet method.

## Parameters

`doc`

  The transformed document.

`uri`

## Return Values

Returns the number of bytes written or `FALSE` if an error occurred.

## Examples

Example 1. Transforming to a HTML file

`<?php // Load the XML source $xml = new DOMDocument; $xml->load('collection.xml'); $xsl = new DOMDocument; $xsl->load('collection.xsl'); // Configure the transformer $proc = new XSLTProcessor; $proc->importStyleSheet($xsl); // attach the xsl rules $proc->transformToURI($xml, 'file:///tmp/out.html'); ?>`

## See Also

XSLTProcessor::transformToDoc
XSLTProcessor::transformToXML

Prev | Home | Next
XSLTProcessor::transformToDoc | Up | XSLTProcessor::transformToXML